<?php

namespace Drupal\zoom_entire_page\Plugin\Block;

use Drupal\Core\Block\BlockBase;
use Drupal\Core\Plugin\ContainerFactoryPluginInterface;

/**
 * Provides Zoom Entire Page Block.
 *
 * @Block(
 *   id = "zoom_entire_page_block",
 *   admin_label = @Translation("Zoom Entire Page block"),
 *   category = @Translation("Zoom Entire Page"),
 * )
 */
class ZoomEntirePageBlock extends BlockBase {

  /**
   * {@inheritdoc}
   */
  public function build() {
    return [
      '#theme' => 'zoom_entire_page',
      '#attached' => [
        'library' => ['zoom_entire_page/zoom_entire_page_init'],
      ],
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function getCacheMaxAge() {
    return 0;
  }

}
